package mdb;

import javax.ejb.EJBException;
import javax.ejb.MessageDrivenBean;
import javax.ejb.MessageDrivenContext;
import javax.jms.JMSException;
import javax.jms.MapMessage;
import javax.jms.Message;
import javax.jms.MessageListener;


public class Hello implements MessageDrivenBean, MessageListener{

    private transient MessageDrivenContext context = null;

    public void ejbCreate() {}
    public void ejbRemove() {}

	/**
	 * @see javax.ejb.MessageDrivenBean#setMessageDrivenContext(MessageDrivenContext)
	 */
	public void setMessageDrivenContext(MessageDrivenContext context)
		throws EJBException {

        this.context = context;
	}

	/**
	 * @see javax.jms.MessageListener#onMessage(Message)
	 */
	public void onMessage(Message message) {

		System.out.println("call onMessage : " + message);
		try{
			MapMessage map = (MapMessage)message;
			System.out.println(map.getString("word"));
		}catch(JMSException e){
			e.printStackTrace();
		}
	}

}
